# 6. 3D Scanning and printing

The topic of this week is 3D scanning and printing. We learned the design rule of 3D printing and practice it. Also, we learned how to use 3D scanner. The class video is [here](https://vimeo.com/318844907).

## Assignment

This week assignment is here:

- group assignment:
    - test the design rules for your 3D printer(s).
- individual assignment:
    - design and 3D print an object (small, few cm3, limited by printer time) that could not be made subtractively
    - 3D scan an object (and optionally print it)


In the group assignment, we tested the design rules of 3D printers which are in our lab(Kamakura). Group assignment page for this week is [here](http://fabacademy.org/2019/labs/kamakura/assignments/week06/).

## 3D Scanning

I tried 3D sense 2nd generation (equipment of the Fab Lab Kamakura).  It is same model with the 3D scanner I use in my university, but my scanner did not work well because the Note-PC was Microsoft Surface Pro 3 and it does not good at graphic processing.

![](week06_img/IMG_7028.jpg)  

And, I scanned my left arm. It is quite difficult to scan by myself, so Hiroya helped me to scan.

![](week06_img/IMG_7027.jpg)  

Then, I imported scanned file into Autodesk Meshmixer.

![](week06_img/MeshMixer.png)  

Edited Mesh and exported it to stl file, and import it into FrashPrint.

![](week06_img/scantoprint.png)

Finally, I am ready to print out my left arm that can hold something....


## 3D Printing.

** What I printed ? **

[My final project](http://localhost:8000/projects/final-project/) is something like a robot that looks (works) like insect, also that robots have some sensors for detecting, measuring something in a viewpoint of insects. For this final project, I am now researching some mechanism insects walking around (hexapods, Caterpillar, drone looks like butterfly... and so on).

In this week, I tried to print out something very simple mechanism of walking with 6 legs like the following video.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Vu_9TIeIRfQ" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

**Making 3D Model**

With tracing this video, first I make 3D model of 6 legged mechanism by Autodesk Fusion 360. I made a model with reffering the above video and scale down it as much as I can. Finally, it becames about 60mm x 30mm models.

![](./week06_img/Fusion-scn1.jpg)  

Then, I exported the model to stl file (by clicking model name located left side, then click "save as STL").

![](./week06_img/Fusion-scn2.jpg)  

**Why this model could not be made subtractively**

The task of this week assignment is to "design and 3D print an object that could not be made subtractively". The reason why I choose and made this model for printing additively (not subtractively) is ...

- It could not be printed out mecnanical model subtractively.
- Sustractive 3D printer (milling) cannot print out hollow parts (like legs and the reverse side of whole body)

** Printing **

Then, I setup a printer. I use my own 3D printer in the unviersity, and that is "[Frash Forge Dreamer](http://www.flashforge.com/dreamer-3d-printer/)".

![](./week06_img/IMG_7054.jpg)  

To slice the model, I used [FrashPrint](http://www.flashforge.com/dreamer-3d-printer/flashprint/)  for slicing my stl model.

![](./week06_img/FlashPrint1.jpg)  

To print out more clear (in high resolutions), I set each parameters as follow:

- Material: ABS
- Support Materials: Enable
- Resolution: High
- Layer Height: 0.10mm

![](./week06_img/slicesetting.png)  

Then, sended the data to the printer and start printing.

<iframe src="https://player.vimeo.com/video/320246334" width="640" height="360" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
<p><a href="https://vimeo.com/320246334">IMG_7061</a> from <a href="https://vimeo.com/user89876647">Yosuke Tsuchiya</a> on <a href="https://vimeo.com">Vimeo</a>.</p>

** Result **

It tooks about 5 hours to finish.

![](week06_img/IMG_7056.jpg)  


Cutting rafts and support materials.

![](./week06_img/IMG_7065.jpg)

## Week 06 Files

- 3D Model of 6 legs walking mechanism. [f3d](./week06_img/assignment6-2v25.f3d) [STL](./week06_img/assignment6-2v25.stl)
- 3D Scanning of My arm [obj](./week06_img/3Dscan-arm.obj) [stl](./week06_img/3Dscan-arm.stl)
