# 13. Applications and implications

## Assignment

propose a final project that integrates the range of units covered, answering:

- What will it do?
- Who's done what beforehand?
- What will you design?
- What materials and components will be used?
- Where will come from?
- How much will they cost?
- What parts and systems will be made?
- What processes will be used?
- What questions need to be answered?
- How will it be evaluated?

Your project should incorporate 2D and 3D design,
- additive and subtractive fabrication processes,
- electronics design and production,
- microcontroller interfacing and programming,
- system integration and packaging

Where possible, you should make rather than buy the parts of your project

---

## Final Project Proposal

### What will it do?

My final project is titled as "INSECT SENSING ROBOT THAT MEASURING THE NATURE". When I decided to join Fab Academy, there are two things I want to make. One is a robot that is automatically moving around and looks something like a insects. Another is portable data logger that have multiple sensors measuring something unmeasured (means measuiring something new aspects of our daily lives, our environment or our society). The sketch shows combined idea of those I want to make. That is insect robot that collecting data in a viewpoint of insects.

![](../images/sketch2.jpg)

There are a couple situation I could image for use it.

First is used for sensing in garden. The insect robot goes around the garden and users control it from inside of their home. The robot have some sensors that measuring condition of the garden (soil moisture, air conditions and so on). Users controll the robot from their own PC via Wi-Fi.

![](../assignments/week01_img/1-1.jpg)

Next is used for sensing outside with walking around. It looks like radio controlled toys. The robot have some sensors that measure surrounding conditions (temperature, UV Index, brightness and so on). Users controll the robot from their own tablet or smartphone via Bluetooth Low Energy.

![](../assignments/week01_img/1-2.jpg)

Third is used for sensing the place where users cannot enter (under the floor, above the ceiling, somewhere dangerous zone etc...). The robot have some sensors that measure surrounding conditions or detect objects or creatures for extermination. Users control the robot from their own PC via Wi-Fi.

![](../assignments/week01_img/1-3.jpg)

### Who's done what beforehand

There are two parts I would consider for beforehand. One is multiple sensor data logging (input devices) and another is mechanical design of six legs walking robot.

**Multiple Sensor Data Logging**

I have ever make these kinds of multiple sensor data logger with using Arduino. That is a Arduino-based BLE Sensor device that include Temperature, Humidity, Pressure, UV, Light and 9-axies motion sensors. The case is made by cutting Acrylic board with laser cutter.

![](./week13_files/BLESensorDevice.jpg)

This sensor devices is also communicate with Smartphone via BLE. And, those sensor data would be transmitted to the server on the cloud.

![](./week13_files/figure.jpg)

Also, those sensor data is visualized on the smarphone application and users can easily find out the conditions of their envirionment in realtime.

![](./week13_files/smartphoneapp.jpg)

I could use those codes and interfaces for my final project.

**Mechanical Design of 6 legs walking Robot**

I am searching some previous works related to mechanical design of insect robots.

Hiroshi Sugihara's (a student at the University of Tokyo) "READY TO CRAWL" is a couple of works that make mechanical creature by selective laser sintering.

<iframe width="560" height="315" src="https://www.youtube.com/embed/G0-lJKOgTuo" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

[Dash Robotics](https://www.dashrobotics.com/) is also interesting project. It is hexapod robot inspired by insects, and made by orgigami.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Nmt6-0_moMk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

This video is about handmade 6 legs insect robot, that contains a function of avoiding objects by distance sensor.

<iframe width="560" height="315" src="https://www.youtube.com/embed/tZXZdC2Kb_E" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

This video is also useful, about how to make simple 6 legs robot mechanism.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Vu_9TIeIRfQ" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

There are a couple of previous works for making 6 legs robots. I am thinking whether those mechanism can use for my final project.

### What will you design?

I will design this insect robot as small as possible. Just I'm thinking...

- Size: 100mm x 50mm (should be as small as possible).
- Natural appearance (not looks so called mechanical robot)
- hexapods (or walking mechanism that looks like insect)
- Automatically walking around
- Detecting objects ahead by IR or Sonic sensor.
- one or two sensors that measuring something around.
- Controll and data transmission from Smartphone or PC via WiFi or BLE.
- GPS module for detecting locations

### What materials and components will be used?

Robot Controller Part

- 6 or more Servo motors
- IR sensor
- microcontroller (that can control over 6 servo motors)

Data Logger Part

- Sensors (for example, light, sound, uv, gas or any sensors that collect data of our living environment)
- GPS module (to detect the locations outside)
- BLE module to transmit sensor data to the smartphone.
- microcontroller

Body of the Insect Robot
- Acrylic Board, ABS (for a frame of insect robot)
- Molding and Casting Material (for a surface of insect robot)

### Where will they come from?

- Some electorical parts and some materials for body of insects would be in lab's inventory.
- Some sensors and servomotors, BLE modules are from digikey and local electric parts shop in Akihabara.

### How much will it cost?

- About $50 for 1 sketch

### What parts and systems will be made?

- Input Devices (Data loggar part)
- Output Devices (Robot Controller)
- Wired Communication like I2C between data loggar and Robot microcontroller)
- Wireless Communication (BLE) between insect robot and Smartphone or PC
- Body of Insect Robot
- Smartphone/PC applications to control insect robot and visualize logged sensor data.

### What processes will be used?

- Electronics Production/Design, embedded programming for Data Loggar Parts and Robot microcontroller
- 3D printing, Laser Cutting and Molding and Casting for Making Insect Robot body
- Networking Communication for send/receive sensor data.

### What tasks need to be completed?

- Make Data Loggar Board
- Make Robot Controller Board
- Make smartphone Applications
- Make Insect Robot body

### What questions need to be answered?

- How to make 6 legs walking mechanism
- How to read/write multiple sensor data on ATTiny
- How to communicate each Board

### How will it be evaluated?

- Use smartphone to confirm every feature
- Write footprint when completing each tasks.
