# Final Project Masterpiece

### What will it do?

My final project is titled as "SENSING BEETLE", that is a Insect Robot with adding some sensing function of Our live environmental conditions. When I decided to join Fab Academy, there are two things I want to make. One is a robot that is automatically moving around and looks something like a insects. Another is portable data logger that have multiple sensors measuring something unmeasured (means measuiring something new aspects of our daily lives, our environment or our society). The sketch shows combined idea of those I want to make. That is insect robot that collecting data in a viewpoint of insects.

Sensor data is very useful for seeking something new aspects of our lives in communities. Moreover, making those sensor devices becomes very easy to make by using Arduino or Raspberry pi. But, for collecting sensor data, we have to ask someone to bring around or set it in indoor place. So, how about robot? Automatically collect sensor data by robot.... Especially, the robot that looks not so colled "robot", but looks somethine like creature... Then, I decided to make a robot that looks like insect and those have some sensor to collect.


![](../presentation.png)

There are a couple situation I could image for use it.

First is used for sensing in garden. The insect robot goes around the garden and users control it from inside of their home. The robot have some sensors that measuring condition of the garden (soil moisture, air conditions and so on). Users controll the robot from their own PC via Wi-Fi.

![](../assignments/week01_img/1-1.jpg)

Next is used for sensing outside with walking around. It looks like radio controlled toys. The robot have some sensors that measure surrounding conditions (temperature, UV Index, brightness and so on). Users controll the robot from their own tablet or smartphone via Bluetooth Low Energy.

![](../assignments/week01_img/1-2.jpg)

Third is used for sensing the place where users cannot enter (under the floor, above the ceiling, somewhere dangerous zone etc...). The robot have some sensors that measure surrounding conditions or detect objects or creatures for extermination. Users control the robot from their own PC via Wi-Fi.

![](../assignments/week01_img/1-3.jpg)

### Who's done what beforehand

There are two parts I would consider for beforehand. One is multiple sensor data logging (input devices) and another is mechanical design of six legs walking robot.

**Multiple Sensor Data Logging**

I have ever make these kinds of multiple sensor data logger with using Arduino. That is a Arduino-based BLE Sensor device that include Temperature, Humidity, Pressure, UV, Light and 9-axies motion sensors. The case is made by cutting Acrylic board with laser cutter.

![](./BLESensorDevice.jpg)

This sensor devices is also communicate with Smartphone via BLE. And, those sensor data would be transmitted to the server on the cloud.

![](./figure.jpg)

Also, those sensor data is visualized on the smarphone application and users can easily find out the conditions of their envirionment in realtime.

![](./smartphoneapp.jpg)

I could use those codes and interfaces for my final project.

**Mechanical Design of 6 legs walking Robot**

I am searching some previous works related to mechanical design of insect robots.

Hiroshi Sugihara's (a student at the University of Tokyo) "READY TO CRAWL" is a couple of works that make mechanical creature by selective laser sintering.

<iframe width="560" height="315" src="https://www.youtube.com/embed/G0-lJKOgTuo" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

[Dash Robotics](https://www.dashrobotics.com/) is also interesting project. It is hexapod robot inspired by insects, and made by orgigami.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Nmt6-0_moMk" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

This video is about handmade 6 legs insect robot, that contains a function of avoiding objects by distance sensor.

<iframe width="560" height="315" src="https://www.youtube.com/embed/tZXZdC2Kb_E" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

This video is also useful, about how to make simple 6 legs robot mechanism.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Vu_9TIeIRfQ" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

There are a couple of previous works for making 6 legs robots. I am thinking whether those mechanism can use for my final project.

### What will you design?

I will design this insect robot as small as possible. Just I'm thinking...

- Size: 100mm x 50mm (should be as small as possible).
- Natural appearance (not looks so called mechanical robot)
- hexapods (or walking mechanism that looks like insect)
- Automatically walking around
- Detecting objects ahead by IR or Sonic sensor.
- one or two sensors that measuring something around.
- Controll and data transmission from Smartphone or PC via WiFi or BLE.
- GPS module for detecting locations

### What materials and components will be used?

- TAMIYA Single Gearbox with DC motors ([Item NO.70167](https://www.tamiya.com/english/products/70167gearbox/index.htm))
- microcontroller (ATMega 328p)
- Duel DC Motors ([TB6612FGN](https://www.digikey.jp/product-detail/ja/toshiba-semiconductor-and-storage/TB6612FNGC8EL/TB6612FNGC8ELCT-ND/1730134))
- Sensors (for example, light, sound or any sensors that collect data of our living environment). Some sensors are in the lab inventory, some sensors should buy.
    - Sounds: [SPU0414HR5H-SB-7](https://www.digikey.com/product-detail/en/SPU0414HR5H-SB/423-1134-1-ND)
    - Phototransistor: [PT15-21C/TR8](https://www.digikey.com/product-detail/en/everlight-electronics-co-ltd/PT15-21C-TR8/1080-1380-1-ND)
    - IR sensor: [Sharp GP2Y0A21YK0F](https://www.pololu.com/product/136)
- Network Communication modules (WiFi or BLE)
- [GPS modules](https://www.mouser.jp/ProductDetail/SparkFun/GPS-12751?qs=sGAEpiMZZMsjLMBIknjmkr7UcSbxhsyWkbeQM%2FV612RTadYIA5zSIw%3D%3D) (in case I want to use it for outside)
- 4 x AA Battery Box

Body of the Insect Robot
- Acrylic Board (for a frame of insect robot)
- 3D Printing PLA materials (for a surface of insect robot)
- rivets, shafts, spacers..... some materials for assembling each parts.

### Where will they come from?

- Some electorical parts and some materials for body of insects would be in lab's inventory.
- DC motor drivers, Gearbox are from digikey and local electric parts shop in Akihabara.

### How much will it cost?

The following parts would be in the lab inventory

| Parts Name | Price | Quantitiy |
|------------|-------|-----------|
| ATmega 328p| 2.14 USD| 1       |
| Sound MEMS sensor | 1.56 USD | 1 |
| Phototransistor | 0.41 USD | 1 |
| 3mm acrylic board | about 2.5 USD | 1 |
| 5mm acrylic board | about 3 USD | 1 |
| PLA Material for AFNIA (lab's 3D printer) | about 35 USD for 500 gram | 1 |
| WiFi modules ESP 8266| 8.88 USD | 1| 

The following parts should not be in the lab inventory, so those should buy in the market.

| Parts Name | Price | Quantitiy |
|------------|-------|-----------|
| TAMIYA Single Gearbox (Item No.70167) | 8.8 USD | 2 |
| Duel DC motor driver (TG6612FGN) | 2.11 USD | 1 |
| GPS module | about 35 USD | 1 |


If I should keep everything by myself, the total cost should be about 107 USD. If I use lab inventory parts, the total cost should be 46 USD.


### What parts and systems will be made?

- Microcontroller Board
    - Revised Satshakit with adding DC motors and 5v regulator
    - having connector for sensor module (input device)
- Wireless Communication (BLE) between insect robot and Smartphone or PC
- Body of Insect Robot
    - Computer-Controlled cutting for machanical parts of the robot
    - 3D printing for main body of the insect.
- Smartphone/PC applications to control insect robot and visualize logged sensor data.

### What processes will be used?

- Electronics Production/Design for making PCB with dc motors, sensor module connector.
- Input Devices : for making sensor module
- Output Devices : for making power supply part in PCB
- Embedded Programming: for controlling PCB
- Computer-Controlled Cutting for mechanical parts of the robot
- 3D Printing for main body of insect robot.
- Networking Communication for send/receive sensor data.
- Interface Application

### What tasks need to be completed?

Must for this project.

- Studying Robotics and Mechanical design of it.

Requierments for final project

- Electronics Production/Design for making PCB with dc motors, sensor module connector.
- Input Devices : for making sensor module
- Output Devices : for making power supply part in PCB
- Embedded Programming: for controlling PCB
- Computer-Controlled Cutting for mechanical parts of the robot
- 3D Printing for main body of insect robot.

Regarding as optional

- Networking Communication for send/receive sensor data.
- Interface Application


### What questions need to be answered?

- How to make 6 legs walking mechanism
- How to read/write multiple sensor data

### How will it be evaluated?

- Use smartphone to confirm every feature
- Write footprint when completing each tasks.
