# Final Project: SENSING BEETLE

Here is a summary page of my Final Project. Please also see [Tracking page](../final-project-footprint/) for getting know what I did trough the Final Project.

### Overview

My final project is titled as "SENSING BEETLE", that is a Insect Robot with adding some sensing function of Our live environmental conditions. When I decided to join Fab Academy, there are two things I want to make. One is a robot that is automatically moving around and looks something like a insects. Another is portable data logger that have multiple sensors measuring something unmeasured (means measuiring something new aspects of our daily lives, our environment or our society). The sketch shows combined idea of those I want to make. That is insect robot that collecting data in a viewpoint of insects.

Sensor data is very useful for seeking something new aspects of our lives in communities. Moreover, making those sensor devices becomes very easy to make by using Arduino or Raspberry pi. But, for collecting sensor data, we have to ask someone to bring around or set it in indoor place. So, how about robot? Automatically collect sensor data by robot.... Especially, the robot that looks not so colled "robot", but looks somethine like creature... Then, I decided to make a robot that looks like insect and those have some sensor to collect.

The presentation slide of final project is [here:](../presentation.png)

![](../presentation.png)

The presentaiton movie of final project is [here:](../presentation.mp4)

<center>
	<video src="../../presentation.mp4" width="100%" controls poster="../../images/thumbnail.jpg"></video>
</center>

### Bill of Materials

Here is the list for Bill of Materials.

| Parts Name | Price | Quantitiy |
|------------|-------|-----------|
| ATmega 328p| 2.14 USD| 1       |
| Sound MEMS sensor (SPU0414HR5H-SB-7) | 1.56 USD | 1 |
| 3mm acrylic board | about 2.5 USD | 1 |
| 5mm acrylic board | about 3 USD | 1 |
| PLA Material | about 35 USD for 500 gram | 1 |
| WiFi modules ESP 8266| 8.88 USD | 1| 
| TAMIYA Single Gearbox (Item No.70167) | 8.8 USD | 2 |
| TAMIYA Rivet Set | 4.0 USD | 2 | 
| Duel DC motor driver (TG6612FGN) | 2.11 USD | 1 |
| GPS module | about 35 USD | 1 |
| Switch Button | (Lab Inventory) | 1 |
| 22pF Capaciter | (Lab Inventory)| 2 |
| 0.1uF Capaciter | (Lab Inventory)| 4 |
| 1uF Capaciter | (Lab Inventory)| 1 |
| 10uF Capaciter | (Lab Inventory)| 2 |
| 100nF Capaciter | (Lab Inventory)| 2 |
| 10k regisiter | (Lab Inventory)| 1 |
| 499 Register | (Lab Inventory)| 2 | 
| 0 ohm Register | (Lab Inventory)| 10 | 
| 16Mhz Crystal | (Lab Inventory)| 1 |
| LED GREEN | (Lab Inventory)| 1 |
| LED YELLOW | (Lab Inventory) | 1 |
| 2 x XH Connector | 0.05 USD| 4 |
| 2 x XH Housing   | 0.05 USD| 4 |
| 3 x XH Connector | 0.05 USD| 3 |
| 3 x XH Housing   | 0.05 USD| 3 | 
| 10mm spacer      | 0.05 USD | 4 |
| 8 mm screw       | 0.05 USD | 6 |
| 4 x AA Battery Box | 1.2 USD | 1 |

### Files

- 3D Model File (including Insect Body and Mechanical Parts) 
  [[Fusion 360 file](./files/FabAcademyFinalProject_3DModel.f3d)]
  [[stl](./files/FabAcademyFinalProject_3DModel.stl)]
     - The following 3D/2D design data were exported from this Fusion 360 design.
- Mechanical Parts
     - 2D data of mechanical parts
      [[dxf](./files/MechanicalParts/2D-data-insect-sensing-robot-parts.dxf)] 
      [[ai](./files/MechanicalParts/2D-data-insect-sensing-robot-parts.ai)]
      [[pdf](./files/MechanicalParts/2D-data-insect-sensing-robot-parts.pdf)]
     - 2D data of mechanical mainbody
      [[dxf](./files/MechanicalParts/2D-data-insect-sensing-robot-mainbody.dxf)]
      [[ai](./files/MechanicalParts/2D-data-insect-sensing-robot-mainbody.ai)]
      [[pdf](./files/MechanicalParts/2D-data-insect-sensing-robot-mainbody.pdf)]
     - 3D data of connector between gearbox and mechanical legs
      [stl](./files/MechanicalParts/3D-shaft-connector.stl)]
- Insect Body
     - Head Part [[stl](./files/BodyParts/insectrobot-body-head.stl)]
     - Middle Part [[stl](./files/BodyParts/insectrobot-body-middle.stl)]
     - Stomac Part [[stl](./files/BodyParts/insectrobot-body-stomac.stl)]
- PCB
     - [EAGLE Schema file](./files/PCB/satshakit_cnc_finalproject_v2.sch)
     - [EAGLE board file](./files/PCB/satshakit_cnc_finalproject_v2.brd)
     - Output PNG file 
        [[trace](./files/PCB/satshakit_cnc_finalproject_v2_trace.png)]
        [[hole](./files/PCB/satshakit_cnc_finalproject_v2_hole.png)]
        [[outline](./files/PCB/satshakit_cnc_finalproject_v2_outline.png)]
     - mods file
        [[trace](./files/PCB/satshakit_cnc_finalproject_v2_trace.png.rml)]
        [[hole](./files/PCB/satshakit_cnc_finalproject_v2_hole.png.rml)]
        [[outline](./files/PCB/satshakit_cnc_finalproject_v2_outline.png.rml)]
- Input Devices (Sound Sensor Module)
     - [EAGLE Schema File](./files/SensorModules/fabacademy_finalproject_MEMSModule.sch)
     - [EAGLE board file](./files/SensorModules/fabacademy_finalproject_MEMSModule.brd)
     - Output PNG files
        [[trace](./files/SensorModules/fabacademy_finalproject_MEMSModule_trace.png)]
        [[hole](./files/SensorModules/fabacademy_finalproject_MEMSModule_hole.png)]
        [[outline](./files/SensorModules/fabacademy_finalproject_MEMSModule_outline.png)]
     - mods file
        [[trace](./files/SensorModules/fabacademy_finalproject_MEMSModule_trace.png.rml)]
        [[hole](./files/SensorModules/fabacademy_finalproject_MEMSModule_hole.png.rml)]
        [[outline](./files/SensorModules/fabacademy_finalproject_MEMSModule_outline.png.rml)]
- Revised Design for assembling
     - Revised PCB design
          - [EAGLE Schema file](./files/RevisedDesign/satshakit_cnc_finalproject_v3.sch)
          - [EAGLE board file](./files/RevisedDesign/satshakit_cnc_finalproject_v3.brd)
          - Output PNG file
            [[trace](./files/RevisedDesign/satshakit_cnc_finalproject_v3_trace.png)]
            [[hole](./files/RevisedDesign/satshakit_cnc_finalproject_v3_hole.png)]
            [[outline](./files/RevisedDesign/satshakit_cnc_finalproject_v3_outline.png)]
          - mods file
            [[trace](./files/RevisedDesign/satshakit_cnc_finalproject_v3_trace.png.rml)]
            [[hole](./files/RevisedDesign/satshakit_cnc_finalproject_v3_hole.png.rml)]
            [[outline](./files/RevisedDesign/satshakit_cnc_finalproject_v3_outline.png.rml)]
     - Revised 2D data of mechanical mainbody
            [[dxf](./files/RevisedDesign/2D-data-insect-sensing-robot-mainbody.revisedDesign.dxf)]
            [[ai](./files/RevisedDesign/2D-data-insect-sensing-robot-mainbody.revisedDesign.ai)]
            [[pdf](./files/RevisedDesign/2D-data-insect-sensing-robot-mainbody.revisedDesign.pdf)]
- Embedded Programs
     - First Version
          - Arduino Code of duel DC motor test [[Arduino](./files/Programs/DCmotor_test.ino)]
          - Arduino Code of MEMS Sound Sensor test [[Arduino](./files/Programs/MEMS_TEST.ino)]
          - Arduino Code of Robot Walking and Sensing [[Arduino](./files/Programs/fabacademy_finalproject.ino)]
     - Revised Version
          - Arduino Code of Robot Walking, Sensing and Recording EEPROM [[Arduino](./files/Programs/fabacademy_finalproject_rev.ino)]
          - Arduino Code of Reading EEPROM data. [[Arduino](./files/Programs/fabacademy_finalproject_readEEPROMData.ino)]
          - Arduino Code of revised version that switch the mode via Serial command. [[Arduino](./files/Programs/fabacademy_finalproject_rev1.ino)]
          - Processing Program that read and save EEPROM data from the robot. [[Arduino](./files/Programs/fabacademy_finalproject_interfaceprogram.pde)]
          - Revised Processing program that send a Serial command for reading and saving EEPROM data from the robot. [[Arduino](./files/Programs/fabacademy_finalproject_interfaceprogram_rev.pde)]
          - CSV file of Sensor Data [[csv](./files/data/sensordata.csv)]




### License

<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.


SENSING BEETLE by Yosuke Tsuchiya is licensed under a Creative Attribution-ShareAlike 4.0 International (CC BY-SA 4.0). 

You are free to:

- Share — copy and redistribute the material in any medium or format
- Adapt — remix, transform, and build upon the material for any purpose, even commercially.
 This license is acceptable for Free Cultural Works.

The licensor cannot revoke these freedoms as long as you follow the license terms.

### Acknowledgement

I would like to thanks to my instructors, Asako Okazaki, Kai Naito and Jun Kawahara for advising me to complete this final project. Also, big thanks to Mr. Osamu Yamamoto for advicing Electorics Matters, thanks to Youka Watanabe, director of Fab Lab Kamakura.

Of course, I would like to thanks so muhc for my classmates, [Kae Nagano](http://archive.fabacademy.org/2019/labs/kamakura/students/kae-nagano/) and [Phanuwit “Rico” Kanthatham](http://archive.fabacademy.org/2019/labs/kamakura/students/phanuwit-kanthatham/) for inspring me a lot.

Also, I would like to thanks to all staffs of Institute of Information and Media, Aoyamagakuin Unviersity for supporing me to complete this final project and Fab Academy 2019 Cycle.
